Skip to main content

🐷 Animals

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate different kinds of animal species. Returns an array of animal species, by default ten. All values may be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible resultsnull

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get animals mockdata.

Get animals mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/animals
Accept: application/json

Response​

Example​

JSON
[
{
"bear": "Polar bear",
"bird": "Eurasian Wigeon",
"cat": "Birman",
"cetacean": "Short-Beaked Common Dolphin",
"cow": "Deep Red cattle",
"crocodilia": "Philippine Crocodile",
"dog": "Molossus of Epirus",
"fish": "Indian mackerel",
"horse": "Fleuve",
"insect": "German yellowjacket",
"lion": "Asiatic Lion",
"rabbit": "Flemish Giant",
"rodent": "Fukomys mechowii",
"snake": "Barred wolf snake",
"type": "dog"
}
]

Bear​

JSONPower Automate
bearBear

Returns a random breed of bear. For example: Polar bear.

Return datatype: string

Bird​

JSONPower Automate
birdBird

Returns a random breed of bird. For example: Eurasian Wigeon.

Return datatype: string

Cat​

JSONPower Automate
catCat

Returns a random breed of cat. For example: Birman.

Return datatype: string

Cetacean​

JSONPower Automate
cetaceanCetacean

Returns a random breed of cetacean. For example: Short-Beaked Common Dolphin.

Return datatype: string

Cow​

JSONPower Automate
cowCow

Returns a random breed of cow. For example: Deep Red cattle.

Return datatype: string

Crocodilia​

JSONPower Automate
crocodiliaCrocodilia

Returns a random breed of crocodilia. For example: Philippine Crocodile.

Return datatype: string

Dog​

JSONPower Automate
dogDog

Returns a random breed of dog. For example: Molossus of Epirus.

Return datatype: string

Fish​

JSONPower Automate
fishFish

Returns a random breed of fish. For example: Indian mackerel.

Return datatype: string

Horse​

JSONPower Automate
horseHorse

Returns a random breed of horse. For example: Fleuve.

Return datatype: string

Insect​

JSONPower Automate
insectInsect

Returns a random breed of insect. For example: German yellowjacket.

Return datatype: string

Lion​

JSONPower Automate
lionLion

Returns a random breed of lion. For example: Asiatic Lion.

Return datatype: string

Rabbit​

JSONPower Automate
rabbitRabbit

Returns a random breed of rabbit. For example: Flemish Giant.

Return datatype: string

Rodent​

JSONPower Automate
rodentRodent

Returns a random breed of rodent. For example: Fukomys mechowii.

Return datatype: string

Snake​

JSONPower Automate
snakeSnake

Returns a random breed of snake. For example: Barred wolf snake.

Return datatype: string

Type​

JSONPower Automate
typeType

Returns a random type of animal. For example: dog.

Return datatype: string